SysInit:
       mvl     00000001b
       mvf     MCKCN1,F,ACCE		; Internal 2Mhz

       mvl     00000001b
       mvf     MCKCN2,F,ACCE   	; CPUCK=HS_DCK=1Mhz

;==========Setup VDDA======================================
       mvl     11110000b		; VDDA=2.4V, REFO=1.0V
       mvf     PWRCN,F,ACCE
               
;==============Clear Memory=======================      
       ldpr0    080h,0
       mvl     080h
    ClriniMen0:   
       clrf    INDF0,ACCE		; RAM=080H~0FFH
       INF	FSR0L,F,A
       dcsz    WREG,F,ACCE
       jmp     ClriniMen0
       
;==========Setup PT1 Interrupt=======================================
       mvl     10000000b
       mvf     TRISC1,F,ACCE		; 0:INPUT, 1:OUTPUT
       mvl     00000000b
       mvf     PT1,F,ACCE      
       mvl     01111111b
       mvf     PT1PU,F,ACCE  		; Set Pull up Resistor, 1: PULL HIGH
       mvl     00000000b		
       mvf     PT1M1,F,ACCE   	; Set PT1.1/PT1.0 жϷʽ
       mvl     00000000b		
       mvf     PT1M2,F,ACCE   	; Set SDO output function
       
;==========Setup PT2 =======================================
       mvl     00010011b		; PT2 initialed
       mvf     PT2PU,F,ACCE       
       mvl     00000000b
       mvf     PT2,F,ACCE
       mvl     11100000b
       mvf     TRISC2,F,ACCE
       		
;==========Setup ADC0=======================================
       mvl     00000011b		; Chopper OFF, PGA*G=1*2
       mvf     ADCCN1,F,ACCE
       mvl     00000000b	       	
       mvf     ADCCN2,F,ACCE		; VREGN=x1, DCSET=0       						
       mvl     01000000b
       mvf     ADCCN3,F,ACCE		; OSR=1024
       
       mvl     01101100b		; INH=AI0, INL=AI1, AD INPUT AND OP INPUT·
       mvf     AINET1,F,ACCE
	 mvl     01000110b
       mvf     AINET2,F,ACCE		; VRH=AI2, VRL=VSS

;==========Set Timmer=======================================
	MVL		00001101B
	MVF		MCKCN3,PERCK,ACCE   ; Select clock source = HS_DCK/32/32
       							
	MVL		00010000B			
	MVF		TMACN,F,A		;001b, жʱԼ4.194s
            						
;==========Set LCD=======================================
      call    ClearLCD			; CLR LCD0~LCD5, ENABLE LCD, PUMP, VLCD=3.05V, BF ON, 1/3BIAS
;==========INTE Set============================
      clrf      status,ACCE		
      clrf      INTF1,ACCE   
      mvl       10000000b		
      mvf       INTE1,F,ACCE		;ENABLE ADCIE, TMAIE, E1IE
       						; GIE[7]=1, ж
							; ADCIE[6]=1, ADCж
							; TMCIE[5]=1, Timer-Cж
							; TMBIE[4]=1, Timer-Bж
							; TMAIE[3]=1, Timer-Aж
							; WDTIE[2]=1, ÿŹʱж
							; E1IE[1]=1, PT1.1ж
							; E0IE[0]=1, PT1.0ж
;======================================
	call     delay10ms
      bsf      ADCCN1,ENADC,ACCE	;ENABLE ADC
      
	CLRF		ADBG+0,A		;AD BUFFER TEMP REGISTER
	CLRF		ADBG+1,A
	CLRF		ADBG+2,A
	CLRF		ADBG+3,A
	CLRF		ADBG+4,A
	CLRF		ADBG+5,A
	CLRF		ADBG+6,A
	CLRF		ADBG+7,A
	CLRF		ADBG+8,A	
	CLRF		ADOFFSETH,A		;AD OFFSET BUFFER
	CLRF		ADOFFSETM,A
	CLRF		ADOFFSETL,A
	CLRF		ADFLAG,A		;AD STATUS
	CLRF		ADGIVECN,A		;AD GIVEUP COUNTER
	CLRF		ADBF,A
	CALL		CLRADBF		;AD BFڵֵ
	MVL		10
	MVF		HOLDMODE,F,A	;βȶԶУģʽ
RET	
	